//==============================================================================
//  Copyright (C) BAY9, 2014
//==============================================================================
  
  // ---------------------------------------------------------------------------
  // Top module interface
  wire                           vrf_0_uartOut;                       
  wire                           vrf_0_uartIn;                        

  wire    [VrfCtrlWidth_C-1:0]   vrf_0_ctrlOut;                      
  wire                           vrf_0_ctrlOut_or;                   
  wire                           vrf_0_ctrlOut_ir;                   
  
  wire    [VrfCtrlWidth_C-1:0]   vrf_0_ctrlIn;                       
  wire                           vrf_0_ctrlIn_or;                    
  wire                           vrf_0_ctrlIn_ir;                    
  
  wire                           vrf_0_ctrlSel;                       

  wire     [VrfGpioWidth_C-1:0]  vrf_0_gpo;                           
  wire     [VrfGpioWidth_C-1:0]  vrf_0_gpi;                           
  wire  [VrfStatLedWidth_C-1:0]  vrf_0_statLed;                       
 
  wire   [VrfAdcDacWidth_C-1:0]  vrf_0_adcRe;                         
  wire   [VrfAdcDacWidth_C-1:0]  vrf_0_adcIm;                         
  wire                           vrf_0_adc_or;                        

  wire   [VrfAdcDacWidth_C-1:0]  vrf_0_dacRe;                         
  wire   [VrfAdcDacWidth_C-1:0]  vrf_0_dacIm;                         
  wire                           vrf_0_dac_ir;                        

  wire  [VrfGainSelWidth_C-1:0]  vrf_0_gainSel;                       

  wire    [VrfCtrlWidth_C-1:0]   vrf_0_ctrlPhy0Out;                 
  wire                           vrf_0_ctrlPhy0Out_or;              
  wire                           vrf_0_ctrlPhy0Out_ir;              
  
  wire    [VrfCtrlWidth_C-1:0]   vrf_0_ctrlPhy0In;                  
  wire                           vrf_0_ctrlPhy0In_or;               
  wire                           vrf_0_ctrlPhy0In_ir;               
  
  wire    [VrfCtrlWidth_C-1:0]   vrf_0_ctrlPhy1Out;                 
  wire                           vrf_0_ctrlPhy1Out_or;              
  wire                           vrf_0_ctrlPhy1Out_ir;              
  
  wire    [VrfCtrlWidth_C-1:0]   vrf_0_ctrlPhy1In;                  
  wire                           vrf_0_ctrlPhy1In_or;               
  wire                           vrf_0_ctrlPhy1In_ir;               
  
  wire     [VrfDataWidth_C-1:0]  vrf_0_dataPhy0Tx;                  
  wire                           vrf_0_dataPhy0Tx_ir;               
  
  wire     [VrfDataWidth_C-1:0]  vrf_0_dataPhy1Rx;                   
  wire                           vrf_0_dataPhy1Rx_or;                
  
  wire                           vrf_0_resetIn;                       
  wire                           vrf_0_resetOut;                      
                     
  // Top module instance
  vrf vrf_0(vrf_0_uartOut, 
            vrf_0_uartIn, 
            vrf_0_ctrlOut, vrf_0_ctrlOut_or, vrf_0_ctrlOut_ir,
            vrf_0_ctrlIn,  vrf_0_ctrlIn_or,  vrf_0_ctrlIn_ir,
            vrf_0_ctrlSel, 

            vrf_0_gpo, 
            vrf_0_gpi, 
            vrf_0_statLed, 

            vrf_0_adcRe,
            vrf_0_adcIm,
            vrf_0_adc_or,

            vrf_0_dacRe,
            vrf_0_dacIm,
            vrf_0_dac_ir,

            vrf_0_gainSel, 

            vrf_0_ctrlPhy0Out, vrf_0_ctrlPhy0Out_or, vrf_0_ctrlPhy0Out_ir,
            vrf_0_ctrlPhy0In,  vrf_0_ctrlPhy0In_or,  vrf_0_ctrlPhy0In_ir,
            vrf_0_ctrlPhy1Out, vrf_0_ctrlPhy1Out_or, vrf_0_ctrlPhy1Out_ir,
            vrf_0_ctrlPhy1In,  vrf_0_ctrlPhy1In_or,  vrf_0_ctrlPhy1In_ir,

            vrf_0_dataPhy0Tx, vrf_0_dataPhy0Tx_or, vrf_0_dataPhy0Tx_ir,
            vrf_0_dataPhy1Rx, vrf_0_dataPhy1Rx_or, vrf_0_dataPhy1Rx_ir,

            vrf_0_resetIn, vrf_0_resetOut, clk);
  
  // ---------------------------------------------------------------------------
