//==============================================================================
//  Copyright (C) BAY9, 2016
//==============================================================================

  // ---------------------------------------------------------------------------
  // CLOG2 workaround for Xilinx ISE
  `include "clog2.v"

  // ---------------------------------------------------------------------------
  // Parameter definitions

  // Inputs
  parameter wdfCore_re2_x_w             = 14;
  parameter wdfCore_re2_c_w             = 12;
  parameter wdfCore_re2_selA_w          = 1;
  parameter wdfCore_re2_selB_w          = 2;
  parameter wdfCore_re2_selS_w          = 2;

  // Outputs
  parameter wdfCore_re2_y_w             = 14;

  // Input control lines
  parameter wdfCore_re2_run1_w          = 2;

  // Output control lines

  // Eregs

  // Parameters
  parameter wdfCore_re2_w               = 14;
  parameter wdfCore_re2_wc              = 12;

  // Iregs
  parameter wdfCore_re2_B_w             = 14;
  parameter wdfCore_re2_B_n             = 4;
  parameter wdfCore_re2_B_m             = `CLOG2(4);
  parameter wdfCore_re2_R_w             = 14;
  parameter wdfCore_re2_R_n             = 1;
  parameter wdfCore_re2_R_m             = `CLOG2(1);
  parameter wdfCore_re2_S_w             = 14;
  parameter wdfCore_re2_S_n             = 1;
  parameter wdfCore_re2_S_m             = `CLOG2(1);

  // Single ported memories

  // Dual ported memories

  // Fifos

  // Wires

  // ---------------------------------------------------------------------------
  // Set parameters
  defparam wdfCore_re2.x_w             = wdfCore_re2_x_w;
  defparam wdfCore_re2.c_w             = wdfCore_re2_c_w;
  defparam wdfCore_re2.selA_w          = wdfCore_re2_selA_w;
  defparam wdfCore_re2.selB_w          = wdfCore_re2_selB_w;
  defparam wdfCore_re2.selS_w          = wdfCore_re2_selS_w;
  defparam wdfCore_re2.y_w             = wdfCore_re2_y_w;
  defparam wdfCore_re2.run1_w          = wdfCore_re2_run1_w;
  defparam wdfCore_re2.w               = wdfCore_re2_w;
  defparam wdfCore_re2.wc              = wdfCore_re2_wc;
  defparam wdfCore_re2.B_w             = wdfCore_re2_B_w;
  defparam wdfCore_re2.B_n             = wdfCore_re2_B_n;
  defparam wdfCore_re2.B_m             = wdfCore_re2_B_m;
  defparam wdfCore_re2.R_w             = wdfCore_re2_R_w;
  defparam wdfCore_re2.R_n             = wdfCore_re2_R_n;
  defparam wdfCore_re2.R_m             = wdfCore_re2_R_m;
  defparam wdfCore_re2.S_w             = wdfCore_re2_S_w;
  defparam wdfCore_re2.S_n             = wdfCore_re2_S_n;
  defparam wdfCore_re2.S_m             = wdfCore_re2_S_m;

  // ---------------------------------------------------------------------------
  // EREG address definitions - might be overwritten by an upper module

  // FIFO address definitions - might be overwritten by an upper module

  // ---------------------------------------------------------------------------
  // Wires for module interface
  wire               [wdfCore_re2_y_w-1:0]  wdfCore_re2_y;
  wire                                      wdfCore_re2_y_or;
  wire                                      wdfCore_re2_y_ff;
  wire                                      wdfCore_re2_y_we;

  wire               [wdfCore_re2_x_w-1:0]  wdfCore_re2_x;
  wire                                      wdfCore_re2_x_ir;
  wire                                      wdfCore_re2_x_fe;
  wire                                      wdfCore_re2_x_re;

  wire               [wdfCore_re2_c_w-1:0]  wdfCore_re2_c;
  wire                                      wdfCore_re2_c_ir;
  wire                                      wdfCore_re2_c_fe;
  wire                                      wdfCore_re2_c_re;

  wire            [wdfCore_re2_selA_w-1:0]  wdfCore_re2_selA;
  wire                                      wdfCore_re2_selA_ir;
  wire                                      wdfCore_re2_selA_fe;
  wire                                      wdfCore_re2_selA_re;

  wire            [wdfCore_re2_selB_w-1:0]  wdfCore_re2_selB;
  wire                                      wdfCore_re2_selB_ir;
  wire                                      wdfCore_re2_selB_fe;
  wire                                      wdfCore_re2_selB_re;

  wire            [wdfCore_re2_selS_w-1:0]  wdfCore_re2_selS;
  wire                                      wdfCore_re2_selS_ir;
  wire                                      wdfCore_re2_selS_fe;
  wire                                      wdfCore_re2_selS_re;

  wire            [wdfCore_re2_run1_w-1:0]  wdfCore_re2_run1;

  wire                                      wdfCore_re2_regWe;
  wire                                      wdfCore_re2_regRe;

  // ---------------------------------------------------------------------------
  // Instance definition
  wdfCore wdfCore_re2(wdfCore_re2_y, wdfCore_re2_y_or, wdfCore_re2_y_ff, wdfCore_re2_y_we,
                      wdfCore_re2_x, wdfCore_re2_x_ir, wdfCore_re2_x_fe, wdfCore_re2_x_re, 
                      wdfCore_re2_c, wdfCore_re2_c_ir, wdfCore_re2_c_fe, wdfCore_re2_c_re, 
                      wdfCore_re2_selA, wdfCore_re2_selA_ir, wdfCore_re2_selA_fe, wdfCore_re2_selA_re, 
                      wdfCore_re2_selB, wdfCore_re2_selB_ir, wdfCore_re2_selB_fe, wdfCore_re2_selB_re, 
                      wdfCore_re2_selS, wdfCore_re2_selS_ir, wdfCore_re2_selS_fe, wdfCore_re2_selS_re, 
                      wdfCore_re2_run1, 
                      regBus, regWe, regRe, wdfCore_re2_regWe, wdfCore_re2_regRe, clk, clk2, reset);


//==============================================================================
